- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions

# FbxMap< KEY_TYPE, VALUE_TYPE, KEY_COMPARE_FUNCTOR, ALLOCATOR >::FbxKeyValuePair Class Reference

Search for all occurrences

## Detailed Description

### template<typename KEY_TYPE, typename VALUE_TYPE, typename KEY_COMPARE_FUNCTOR = FbxLessCompare<KEY_TYPE>, typename ALLOCATOR = FbxBaseAllocator>
class FbxMap< KEY_TYPE, VALUE_TYPE, KEY_COMPARE_FUNCTOR, ALLOCATOR >::FbxKeyValuePair

This class defines the key-value pairs used in FbxMap.

Definition at line 1423 of file fbxmap.h.

`#include <fbxmap.h>`

Inheritance diagram for FbxMap< KEY_TYPE, VALUE_TYPE, KEY_COMPARE_FUNCTOR, ALLOCATOR >::FbxKeyValuePair:
[legend]

List of all members.

## Public Types
typedef const KEY_TYPE | KeyType
typedef const KEY_TYPE | ConstKeyType
typedef VALUE_TYPE | ValueType
typedef const VALUE_TYPE | ConstValueType
## Public Member Functions
| FbxKeyValuePair (const KEY_TYPE &pFirst, const VALUE_TYPE &pSecond)
ConstKeyType & | GetKey () const
KeyType & | GetKey ()
ConstValueType & | GetValue () const
ValueType & | GetValue ()

## Member Typedef Documentation

typedef const KEY_TYPE KeyType

Search for all occurrences

Definition at line 1430 of file fbxmap.h.

typedef const KEY_TYPE ConstKeyType

Search for all occurrences

Definition at line 1431 of file fbxmap.h.

typedef VALUE_TYPE ValueType

Search for all occurrences

Definition at line 1432 of file fbxmap.h.

typedef const VALUE_TYPE ConstValueType

Search for all occurrences

Definition at line 1433 of file fbxmap.h.

## Constructor & Destructor Documentation

FbxKeyValuePair | ( | const KEY_TYPE & | pFirst,
|  | const VALUE_TYPE & | pSecond
| ) |  | `[inline]`

Definition at line 1426 of file fbxmap.h.

                : FbxPair<const KEY_TYPE, VALUE_TYPE>(pFirst, pSecond) {}

## Member Function Documentation

ConstKeyType& GetKey | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 1435 of file fbxmap.h.

    { return this->mFirst; }

KeyType& GetKey | ( |  | ) | `[inline]`

Search for all occurrences

Definition at line 1436 of file fbxmap.h.

    { return this->mFirst; }

ConstValueType& GetValue | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 1438 of file fbxmap.h.

    { return this->mSecond; }

ValueType& GetValue | ( |  | ) | `[inline]`

Search for all occurrences

Definition at line 1439 of file fbxmap.h.

    { return this->mSecond; }

The documentation for this class was generated from the following file:

- fbxsdk/core/base/fbxmap.h

FbxMap< KEY_TYPE, VALUE_TYPE, KEY_COMPARE_FUNCTOR, ALLOCATOR >::FbxKeyValuePair FbxMap< KEY_TYPE, VALUE_TYPE, KEY_COMPARE_FUNCTOR, ALLOCATOR >::FbxKeyValuePair FbxMap< KEY_TYPE, VALUE_TYPE, KEY_COMPARE_FUNCTOR, ALLOCATOR >::FbxKeyValuePair FbxMap< KEY_TYPE, VALUE_TYPE, KEY_COMPARE_FUNCTOR, ALLOCATOR >::FbxKeyValuePair FbxMap< KEY_TYPE, VALUE_TYPE, KEY_COMPARE_FUNCTOR, ALLOCATOR >::FbxKeyValuePair FbxMap< KEY_TYPE, VALUE_TYPE, KEY_COMPARE_FUNCTOR, ALLOCATOR >::FbxKeyValuePair FbxMap< KEY_TYPE, VALUE_TYPE, KEY_COMPARE_FUNCTOR, ALLOCATOR >::FbxKeyValuePair FbxMap< KEY_TYPE, VALUE_TYPE, KEY_COMPARE_FUNCTOR, ALLOCATOR >::FbxKeyValuePair FbxMap< KEY_TYPE, VALUE_TYPE, KEY_COMPARE_FUNCTOR, ALLOCATOR >::FbxKeyValuePair FbxMap< KEY_TYPE, VALUE_TYPE, KEY_COMPARE_FUNCTOR, ALLOCATOR >::FbxKeyValuePair
FbxMap< KEY_TYPE, VALUE_TYPE, KEY_COMPARE_FUNCTOR, ALLOCATOR >::FbxKeyValuePair FbxMap< KEY_TYPE, VALUE_TYPE, KEY_COMPARE_FUNCTOR, ALLOCATOR >::FbxKeyValuePair FbxMap< KEY_TYPE, VALUE_TYPE, KEY_COMPARE_FUNCTOR, ALLOCATOR >::FbxKeyValuePair FbxMap< KEY_TYPE, VALUE_TYPE, KEY_COMPARE_FUNCTOR, ALLOCATOR >::FbxKeyValuePair FbxMap< KEY_TYPE, VALUE_TYPE, KEY_COMPARE_FUNCTOR, ALLOCATOR >::FbxKeyValuePair FbxMap< KEY_TYPE, VALUE_TYPE, KEY_COMPARE_FUNCTOR, ALLOCATOR >::FbxKeyValuePair FbxMap< KEY_TYPE, VALUE_TYPE, KEY_COMPARE_FUNCTOR, ALLOCATOR >::FbxKeyValuePair FbxMap< KEY_TYPE, VALUE_TYPE, KEY_COMPARE_FUNCTOR, ALLOCATOR >::FbxKeyValuePair FbxMap< KEY_TYPE, VALUE_TYPE, KEY_COMPARE_FUNCTOR, ALLOCATOR >::FbxKeyValuePair FbxMap< KEY_TYPE, VALUE_TYPE, KEY_COMPARE_FUNCTOR, ALLOCATOR >::FbxKeyValuePair